export const showSearch = (state,action) => {
    const res = Object.assign({}, state);
    res.show = true;
    return res;
}

export const setSearchValue = (state,action) => {
    const res = Object.assign({},state);
    res.searchValue = action.searchValue;
    return res;
}

export const getSearchResult= (state, action) => {
    const res = Object.assign({},state);
    res.searchResult = action.searchResult;
    return res;
}
